import React from 'react';
import { createGlobalStyle } from 'styled-components';
import AlertStyle from './alert';
import CascaderStyle from './cascader';
import CheckboxStyle from './checkbox';
import NotificationStyle from './notification';
import PopConfirmStyle from './pop-confirm';
import RadioStyle from './radio';
import SwitchStyle from './switch';
import TreeStyle from './tree';
import DrawerStyle from './drawer';
import MenuStyle from './menu';
import ModalStyle from './modal';
import MessageStyle from './message';
import SliderStyle from './slider';
import TooltipStyle from './tooltip';
import LayoutStyle from './layout';
import TabsStyle from './tabs';
import ResultStyle from './result';
import ChoreStyle from './chore';
import EmptyStyle from './empty';
import TreeSelectStyle from './tree-select';
import FormStyle from './form';
import TimePicker from './time-picker';
import DatePickerStyle from './date-picker';
import ButtonStyle from '../../button/style';
import InputStyle from '../../input/style';
import InputNumberStyle from '../../input-number/style';
import ProgressStyle from '../../progress/style';
import SelectStyle from '../../select/style';
import StepsStyle from '../../steps/style';
/// Ant Design全局样式
const AntCommonStyle = createGlobalStyle `
  .ant-divider {
    border-color: ${({ theme }) => theme.border.secondary};
  }
`;
export default function AntDesignGlobalStyle() {
    return (React.createElement(React.Fragment, null,
        React.createElement(AntCommonStyle, null),
        React.createElement(CascaderStyle, null),
        React.createElement(CheckboxStyle, null),
        React.createElement(RadioStyle, null),
        React.createElement(TreeStyle, null),
        React.createElement(AlertStyle, null),
        React.createElement(PopConfirmStyle, null),
        React.createElement(NotificationStyle, null),
        React.createElement(SwitchStyle, null),
        React.createElement(DrawerStyle, null),
        React.createElement(MenuStyle, null),
        React.createElement(ModalStyle, null),
        React.createElement(MessageStyle, null),
        React.createElement(SliderStyle, null),
        React.createElement(TooltipStyle, null),
        React.createElement(LayoutStyle, null),
        React.createElement(TabsStyle, null),
        React.createElement(ResultStyle, null),
        React.createElement(ChoreStyle, null),
        React.createElement(EmptyStyle, null),
        React.createElement(TreeSelectStyle, null),
        React.createElement(FormStyle, null),
        React.createElement(DatePickerStyle, null),
        React.createElement(ButtonStyle, null),
        React.createElement(InputStyle, null),
        React.createElement(InputNumberStyle, null),
        React.createElement(ProgressStyle, null),
        React.createElement(SelectStyle, null),
        React.createElement(StepsStyle, null),
        React.createElement(TimePicker, null)));
}
